name: cthulhu-onboarding

short_description: "Add onboarding module"
long_description: ""

type: module
category: lcm


urls:
  opensource: "https://gitlab.com/prpl-foundation/lcm/plugins/cthulhu/cthulhu-onboarding"

licenses:
  - name: "BSD-2-Clause-Patent"

configs:
  SAH_PLUGIN_CTHULHU_ONBOARDING:
    super: True
    default: n
    type: bool
    description: "Build Cthulhu onboarding plugin"


makefiles:
  compile:
    - directory: "src"
  clean:
    - directory: "src"
    - directory: "test"
  doc:
    - directory: "doc"
      target: "doc"
  test:
    - directory: "test"
      target: "run"
    - directory: "test"
      target: "coverage"

artifacts:
- source: "output/$(MACHINE)/$(COMPONENT).so"
  destination: "$(LIBDIR)/amx/cthulhu/plugins/$(COMPONENT).so"
  permissions: "0644"
- source: "odl/*.odl"
  destination: "/etc/amx/cthulhu/extensions/"
  permissions: "0644"
- source: "odl/plugin-onboarding/*.odl"
  destination: "/etc/amx/cthulhu/extensions/plugin-onboarding/"
  permissions: "0644"

dependencies:
  compile:
  - name: "libamxc"
    min: "*"
  - name: "libamxm"
    min: "*"
  - name: "libamxp"
    min: "*"
  - name: "libamxd"
    min: "*"
  - name: "libamxo"
    min: "*"
  - name: "libamxb"
    min: "*"
  - name: "libamxj"
    min: "*"
  - name: "libsahtrace"
    min: "*"
  - name: "libcthulhu"
    min: "*"
  - name: "liblcm"
    min: "*"

  runtime:
  - name: "libamxc"
  - name: "libamxm"
  - name: "libamxp"
  - name: "libamxd"
  - name: "libamxo"
  - name: "libamxb"
  - name: "libamxj"
  - name: "libsahtrace"
  - name: "libcthulhu"
  - name: "liblcm"
